Subject: TTF to BMP succeed

From: "L.S.Ng" <[email-masked]>
Date: Thu, 19 May 1994 19:18:32 BST

Thanks to the author of the NTU TTF fonts (Lin YawJen), I have obtained
a subroutine for converting TTF to Bitmap.

My testing has finished today. It worked!!

I have been able to port it to GNU C compiler on PC, using the GRX
Graphics library <grx.h>.  The original routine uses Microsoft C
compiler Graph <graph.h> library. The porting is trivial once you
understand the program.

The author has been careful to include a compiler directive that disable
the graphics output. In this case, the font is stored in memory only.

The test program run in DOS. It should also compile in plain Unix though
I have not tried out.

The result has been satisfying. At 24x24, it looks quite good. However,
discrepancies start to creep in at 16x16, because there is not hinting
applied.

I viewed it on 640x480 mode. 24x24 is just about the right size. So
application programmers may like to take advantage of this.

However, as I said earlier, there is really not much benefit to be
gained for using TTF on video display, because Bitmap file is just as
good and the file size is small. Only if the bitmap file grow larger
than 3MB e.g. for 48x48 bitmap then a TTF is practical.

So the main application will be on printing.  I am now ready to write a
TTF to Postscript translation routine.  But I could not find much time
now to work on this exciting project.  How someone on the net would like
to do it.

Next, I shall go on composing the TTF file so as to make it smaller than
1MB.

I have only ftp the smallest TTF file i.e. ntu_li_m.ttf. This is 'Li'
style. It seems smaller than the rest. Probably because 'Li' style has
not so many sharp stroke. :-)

The working copy is available for distribution now. Please email me if
you are interested. However, I have yet to find time to write some
documentations. For the moment, you will rely on the comments within the
code to understand it.

Yours,
Liangsheng Wu